politas

CKAN (The Comprehensive Kerbal Archive Network); v1.27.2 - Chandrasekhar

Recommended Posts

Hi @HebaruSan,

My mod on CKAN namely, 'CollisionFX-ReUpdated' has a wrong author list. Instead of being 'VoidCosmos', it is 'pizzaoverhead', 'SlimJimDodger' and 'VoidCosmos'. Could you please fix this? Thanks in advance! :)

Share this post


Link to post
Share on other sites
6 hours ago, VoidCosmos said:

My mod on CKAN namely, 'CollisionFX-ReUpdated' has a wrong author list. Instead of being 'VoidCosmos', it is 'pizzaoverhead', 'SlimJimDodger' and 'VoidCosmos'. Could you please fix this? Thanks in advance! :)

Why is it wrong? You didn't made the mod, you just recompiled it, not developed it. 

Share this post


Link to post
Share on other sites
10 minutes ago, ValiZockt said:

Why is it wrong? You didn't made the mod, you just recompiled it, not developed it. 

Just wanted to recheck :blush:. Sorry for wasting your time

Share this post


Link to post
Share on other sites

Hello. The mod LanderCanMk12 has wrong dependencies on CKAN (and its author didn't know it was on CKAN).

 

11 hours ago, MacLuky said:

I'm not sure how it ended up on CKAN, and have even less of a clue on why it should be depended on anything other than module manager. I am still running 1.8.1 but there is no reason it should not work on 1.9.

Thank you.

Share this post


Link to post
Share on other sites

Thanks for cleaning it up. I should try to get CKAN working on Mac someday

Share this post


Link to post
Share on other sites
Posted (edited)

Having some problems with installing FAR.

Ckan V1.27.2 

KSP Version 1.8.1.2694

Far version 3.0.15.11.3/4

Fresh install no other mods, refuses to install. Trying to install the More realistic pack which won't install without FAR. I installed manually and it works in game fine but then CKAN doesn't pick it up with the "AD" so i STILL can't install the realistic mod.

 

I tried clean install, verifying game files, manual installation (see above) not really sure what to do from here.

 

Here is the error code 

Spoiler

About to install...

 * Ferram Aerospace Research Continued 3:0.15.11.4 (cached)

Oh no!

It looks like you're trying to install a mod which is already installed,
or which conflicts with another mod which is already installed.

As a safety feature, the CKAN will *never* overwrite or alter a file
that it did not install itself.

If you wish to install FerramAerospaceResearchContinued 3:0.15.11.4 via the CKAN,
then please manually uninstall the mod which owns:

Ships/@thumbs/SPH/E42.png

and try again.
Your GameData has been returned to its original state.
Error during installation!

 

Edited by Rough Draft

Share this post


Link to post
Share on other sites
28 minutes ago, Rough Draft said:

Having some problems with installing FAR.

Ckan V1.27.2 

KSP Version 1.8.1.2694

Far version 3.0.15.11.3/4

Fresh install no other mods, refuses to install. Trying to install the More realistic pack which won't install without FAR. I installed manually and it works in game fine but then CKAN doesn't pick it up with the "AD" so i STILL can't install the realistic mod.

 

I tried clean install, verifying game files, manual installation (see above) not really sure what to do from here.

 

Here is the error code 

  Reveal hidden contents

About to install...

 * Ferram Aerospace Research Continued 3:0.15.11.4 (cached)

Oh no!

It looks like you're trying to install a mod which is already installed,
or which conflicts with another mod which is already installed.

As a safety feature, the CKAN will *never* overwrite or alter a file
that it did not install itself.

If you wish to install FerramAerospaceResearchContinued 3:0.15.11.4 via the CKAN,
then please manually uninstall the mod which owns:

Ships/@thumbs/SPH/E42.png

and try again.
Your GameData has been returned to its original state.
Error during installation!

 

So this fix i used was;

Update ksp to 1.9.1

Install FAR with CKAN

Go back into steam and downgrade to 1.8.1

 

Share this post


Link to post
Share on other sites

I've made a search but found nothing so I'll ask:

Refreshing or not, CKAN still show SCANsat 18.14, and even if I've installed the 20.0 by hand, it continue in showing the wrong version.
I've also edited the SCANsat.version on this way:

"KSP_VERSION":{
         "MAJOR":1,
         "MINOR":9,
         "PATCH":1
 

by adding the comma (,) after the 9 'cause it was missing...
Any fix that I can do about it? 

 

Edited by MaximilianPs

Share this post


Link to post
Share on other sites
6 minutes ago, MaximilianPs said:

I've made a search but found nothing so I'll ask:

Refreshing or not, CKAN still show SCANsat 18.14, and even if I've installed the 20.0 by hand, it continue in showing the wrong version.
I've also edited the SCANsat.version on this way:

"KSP_VERSION":{
         "MAJOR":1,
         "MINOR":9,
         "PATCH":1
 

by adding the comma (,) after the 9 'cause it was missing...
Any fix that I can do about it?

Thanks! This is known and will be resolved in a new SCANsat release:
https://github.com/S-C-A-N/SCANsat/pull/371
https://forum.kerbalspaceprogram.com/index.php?/topic/72679-191-scansat-v200-real-scanning-real-science-at-warp-speed-may-31-2020/&do=findComment&comment=3794796
https://forum.kerbalspaceprogram.com/index.php?/topic/72679-191-scansat-v200-real-scanning-real-science-at-warp-speed-may-31-2020/&do=findComment&comment=3794984

 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.